> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Partially updates (patches) a listings item for a seller

PATCH https://marketplace.walmart.com/seller/v1/listings/v4/items/{sellerId}/{sku}
Content-Type: application/json

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/items-catalog/listings/listings-items/patch-listings-item

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `sellerId` (string, required) — Seller identifier
- `sku` (string, required) — Seller SKU identifying the listing

### Query parameters

- `marketplaceIds` (list of enum, required)
  - Allowed values: `WALMART_US`, `WALMART_CA`, `WALMART_MX`
- `issueLocale` (string, optional, default: en_US)

### Body (application/json)

This endpoint expects a ListingsItemPatchRequest.

- `productType` (string, required)
- `patches` (list of PatchOperation, required)

## Response

### 200

Successfully submitted

- `sku` (string, required)
- `status` (enum, required)
  - Allowed values: `ACCEPTED`, `INVALID`
- `submissionId` (string, optional)
- `issues` (list of Issue, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required)

### 404 Not Found Error

Not Found

- `errors` (list of Error, required)

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required)

## Types

### PatchOperation

- `op` (enum, required) — Patch operation type (JSON Patch)
  - Allowed values: `add`, `replace`, `delete`
- `path` (string, required) — JSON Pointer path to the attribute (RFC 6901)
- `value` (list of map from string to any, optional) — Value to set (absent for delete operations)

### Issue

- `code` (string, required) — Machine-readable issue code
- `message` (string, required) — Human-readable issue message (locale-aware)
- `severity` (enum, required)
  - Allowed values: `ERROR`, `WARNING`, `INFO`
- `attributeNames` (list of string, optional) — Affected attribute names

### Error

- `code` (string, required)
- `message` (string, required)
- `details` (string, optional)

## Examples

**Request**

```json
{
  "productType": "string",
  "patches": [
    {
      "op": "add",
      "path": "string"
    }
  ]
}
```

**Response**

```json
{
  "sku": "string",
  "status": "ACCEPTED",
  "submissionId": "string",
  "issues": [
    {
      "code": "string",
      "message": "string",
      "severity": "ERROR",
      "attributeNames": [
        "string"
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku"

querystring = {"marketplaceIds":"WALMART_US"}

payload = {
    "productType": "string",
    "patches": [
        {
            "op": "add",
            "path": "string"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"productType":"string","patches":[{"op":"add","path":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US"

	payload := strings.NewReader("{\n  \"productType\": \"string\",\n  \"patches\": [\n    {\n      \"op\": \"add\",\n      \"path\": \"string\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"productType\": \"string\",\n  \"patches\": [\n    {\n      \"op\": \"add\",\n      \"path\": \"string\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"productType\": \"string\",\n  \"patches\": [\n    {\n      \"op\": \"add\",\n      \"path\": \"string\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US', [
  'body' => '{
  "productType": "string",
  "patches": [
    {
      "op": "add",
      "path": "string"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"productType\": \"string\",\n  \"patches\": [\n    {\n      \"op\": \"add\",\n      \"path\": \"string\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "productType": "string",
  "patches": [
    [
      "op": "add",
      "path": "string"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/listings/v4/items/sellerId/sku?marketplaceIds=WALMART_US")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```